<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PackageBookingResponse StructType
 * @subpackage Structs
 */
class PackageBookingResponse extends AbstractStructBase
{
    /**
     * The BookingRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_BookingRS
     */
    public $BookingRS;
    /**
     * Constructor method for PackageBookingResponse
     * @uses PackageBookingResponse::setBookingRS()
     * @param \StructType\JP_BookingRS $bookingRS
     */
    public function __construct(\StructType\JP_BookingRS $bookingRS = null)
    {
        $this
            ->setBookingRS($bookingRS);
    }
    /**
     * Get BookingRS value
     * @return \StructType\JP_BookingRS|null
     */
    public function getBookingRS()
    {
        return $this->BookingRS;
    }
    /**
     * Set BookingRS value
     * @param \StructType\JP_BookingRS $bookingRS
     * @return \StructType\PackageBookingResponse
     */
    public function setBookingRS(\StructType\JP_BookingRS $bookingRS = null)
    {
        $this->BookingRS = $bookingRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PackageBookingResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
